Summary:	Gives a fake chroot environment
Name:		fakechroot
Version:	2.18
Release:	%mkrel 1
License:	LGPLv2+
Group:		Development/C
URL:		http://fakechroot.alioth.debian.org/
Source0:	http://ftp.debian.org/debian/pool/main/f/fakechroot/%{name}_%{version}.orig.tar.gz
Patch1:		fakechroot-rpm-glob64.patch

# Required for patch0:
BuildRequires:	autoconf
BuildRequires:	automake >= 1.10
BuildRequires:	libtool

%description
fakechroot runs a command in an environment were is additionally
possible to use the chroot(8) call without root privileges. This is
useful for allowing users to create their own chrooted environment
with possibility to install another packages without need for root
privileges.

%prep
%setup -q
%autopatch -p1

# Patch0 updates autoconf, so rerun this:
./autogen.sh

%build
%configure \
  --disable-dependency-tracking \
  --disable-static
make

%install
make install DESTDIR=%{buildroot}

%check
#make test

%files
%doc LICENSE scripts/restoremode.sh scripts/savemode.sh
%{_bindir}/*fakechroot
%{_sbindir}/chroot.fakechroot
/etc/fakechroot
%{_mandir}/man1/fakechroot.1.*
%exclude %{_libdir}/fakechroot/libfakechroot.la
# No library package, there's no major:
%{_libdir}/fakechroot/libfakechroot.so


%changelog
* Thu Mar 17 2016 tv <tv> 2.18-1.mga6
+ Revision: 992368
- new release

* Thu Feb 11 2016 umeabot <umeabot> 2.17.2-0.2.mga6
+ Revision: 953935
- Mageia 6 Mass Rebuild

* Thu Sep 24 2015 tv <tv> 2.17.2-0.1.mga6
+ Revision: 883248
- new release
- rediff patch

* Wed Oct 15 2014 umeabot <umeabot> 2.16-8.mga5
+ Revision: 742265
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.16-7.mga5
+ Revision: 679083
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.16-6.mga4
+ Revision: 504242
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 2.16-5.mga3
+ Revision: 350046
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 10 2013 sander85 <sander85> 2.16-4.mga3
+ Revision: 344773
- Disable broken tests

* Fri Jul 13 2012 rtp <rtp> 2.16-3.mga3
+ Revision: 270591
- update glob64 patch to handle glob too.

* Wed Jul 04 2012 rtp <rtp> 2.16-2.mga3
+ Revision: 267605
- fix testsuite call (the Makefile target is test not check)
- workaround for rpm glob64 issue

* Wed Jun 27 2012 tv <tv> 2.16-1.1.mga3
+ Revision: 264172
- fix file list
- fix file list
- new release

* Tue Mar 13 2012 tv <tv> 2.9-1.1.mga2
+ Revision: 223257
- imported package fakechroot

